[arch-commits] Commit in python-moto/repos/community-any (4 files)

Chih-Hsuan Yen yan12125 at gemini.archlinux.org
Sat Sep 4 01:57:31 UTC 2021


    Date: Saturday, September 4, 2021 @ 01:57:30
  Author: yan12125
Revision: 1010760

archrelease: copy trunk to community-any

Added:
  python-moto/repos/community-any/PKGBUILD
    (from rev 1010759, python-moto/trunk/PKGBUILD)
  python-moto/repos/community-any/sdist-no-pyc.diff
    (from rev 1010759, python-moto/trunk/sdist-no-pyc.diff)
Deleted:
  python-moto/repos/community-any/PKGBUILD
  python-moto/repos/community-any/sdist-no-pyc.diff

-------------------+
 PKGBUILD          |  184 +++++++++++++++++++++++++---------------------------
 sdist-no-pyc.diff |   18 ++---
 2 files changed, 99 insertions(+), 103 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-09-04 01:57:14 UTC (rev 1010759)
+++ PKGBUILD	2021-09-04 01:57:30 UTC (rev 1010760)
@@ -1,94 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
-
-pkgname=python-moto
-_pkgname=moto
-pkgver=2.2.4
-pkgrel=1
-pkgdesc='Moto is a library to mock out the boto library.'
-arch=(any)
-url='https://github.com/spulec/moto'
-license=(Apache)
-# NOTE: Keep the order of dependencies matching setup.py
-# setup.py includes setuptools, which is a work around for missing dependencies in aws-xray-sdk [1].
-# I use the correct dependency in python-aws-xray-sdk, so python-setuptools is not needed here.
-# [1] https://github.com/spulec/moto/pull/4142
-depends=(python-boto3 python-botocore python-cryptography python-requests python-xmltodict
-         python-werkzeug python-pytz python-dateutil python-responses
-         # Below dependencies varied with Python versions
-         python-jinja python-more-itertools)
-# See reqquirements-test.txt, excluding pytest-cov
-checkdepends=(python-pytest python-sure python-freezegun
-              # boto is vendored (#3503), but still imported in tests
-              python-boto podman)
-# Below are optional dependencies. The order matches _dep_* items in upstream `setup.py`.
-# Note that _dep_python_jose_ecdsa_pin and _dep_idna are excluded as they are pins and
-# not used by moto.
-optdepends=(
-  'python-yaml: for cloudformation, s3 and ssm'
-  'python-jose: for apigateway and cognitoidp'
-  # SNS and SQS still uses docker indirectly, while upstream explicitly removes them
-  # https://github.com/spulec/moto/pull/4094
-  'python-docker: for awslambda, batch, cloudformation, dynamodb2 and dynamodbstreams'
-  'python-jsondiff: for iotdata'
-  'python-aws-xray-sdk: for xray'
-  'python-cfn-lint: for cloudformation'
-  'python-sshpubkeys: for ec2 and efs'
-  'python-flask: for moto_server'
-  'python-flask-cors: for moto_server'
-)
-checkdepends+=(python-yaml python-jose python-docker python-jsondiff python-aws-xray-sdk
-               python-cfn-lint python-sshpubkeys python-flask python-flask-cors)
-source=("https://files.pythonhosted.org/packages/source/m/moto/moto-${pkgver}.tar.gz"
-        sdist-no-pyc.diff)
-sha256sums=('ee652be8c3bb52c6c54bcc811f74afbfb317c59dcdfdc96d6027fe93e1b4a94d'
-            '4193bd88380f6ab8dac49be37d940993dee4e31351ffd60c8167b7c8e5ec3208')
-
-prepare() {
-  cd $_pkgname-$pkgver
-
-  patch -Np1 -i ../sdist-no-pyc.diff
-
-  # Remove upper bounds of dependencies
-  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
-  diff -u setup.py{.orig,} || true
-
-  # Remove the unnecessary dependency. See also https://bugs.archlinux.org/task/64719
-  sed -i '/"importlib_metadata"/d' setup.py
-  sed -i 's#importlib_metadata#importlib.metadata#g' moto/core/models.py
-}
-
-build() {
-  cd $_pkgname-$pkgver
-
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  # XXX: there are too many tests that depend on docker/podman, and there is no simple way
-  # other than listing one-by-one for exclusion. To make things worse, running docker/podman
-  # in systemd-nspawn containers appears impossible without special configurations. I gave
-  # it up and running podman _outside_ the container for testing.
-  # $ systemctl --user start podman.socket
-  # $ extra-x86_64-build -- -d "$XDG_RUNTIME_DIR/podman:/tmp/podman"
-  PODMAN_SOCK=/tmp/podman/podman.sock
-  if [ -S $PODMAN_SOCK ]; then
-    # XXX: a workaround to make tests work with podman
-    # Images are not pulled before usage since version 2.2.1 [1][2], and
-    # that is needed for podman [3]
-    # [1] https://github.com/spulec/moto/commit/338420c3b979b85501193d948ab442c1ebd0ae4a
-    # [2] https://github.com/spulec/moto/pull/4082
-    # [3] https://github.com/spulec/moto/pull/3702
-    podman-remote --url "unix:$PODMAN_SOCK" pull docker.io/library/busybox:latest
-    DOCKER_HOST="unix://$PODMAN_SOCK" TZ=UTC pytest tests
-  fi
-}
-
-package() {
-  cd $_pkgname-$pkgver
-
-  # use PYTHONHASHSEED=0 work around https://bugs.python.org/issue34722
-  PYTHONHASHSEED=0 python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-moto/repos/community-any/PKGBUILD (from rev 1010759, python-moto/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-09-04 01:57:30 UTC (rev 1010760)
@@ -0,0 +1,90 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
+
+pkgname=python-moto
+_pkgname=moto
+pkgver=2.2.6
+pkgrel=1
+pkgdesc='Moto is a library to mock out the boto library.'
+arch=(any)
+url='https://github.com/spulec/moto'
+license=(Apache)
+# NOTE: Keep the order of dependencies matching setup.py
+# setup.py includes setuptools, which is a work around for missing dependencies in aws-xray-sdk [1].
+# I use the correct dependency in python-aws-xray-sdk, so python-setuptools is not needed here.
+# [1] https://github.com/spulec/moto/pull/4142
+depends=(python-boto3 python-botocore python-cryptography python-requests python-xmltodict
+         python-werkzeug python-pytz python-dateutil python-responses
+         # Below dependencies varied with Python versions
+         python-jinja python-more-itertools)
+# See reqquirements-test.txt, excluding pytest-cov
+checkdepends=(python-pytest python-sure python-freezegun
+              # boto is vendored (#3503), but still imported in tests
+              python-boto podman)
+# Below are optional dependencies. The order matches _dep_* items in upstream `setup.py`.
+# Note that _dep_python_jose_ecdsa_pin and _dep_idna are excluded as they are pins and
+# not used by moto.
+optdepends=(
+  'python-yaml: for cloudformation, s3 and ssm'
+  'python-jose: for apigateway and cognitoidp'
+  # SNS and SQS still uses docker indirectly, while upstream explicitly removes them
+  # https://github.com/spulec/moto/pull/4094
+  'python-docker: for awslambda, batch, cloudformation, dynamodb2 and dynamodbstreams'
+  'python-jsondiff: for iotdata'
+  'python-aws-xray-sdk: for xray'
+  'python-cfn-lint: for cloudformation'
+  'python-sshpubkeys: for ec2 and efs'
+  'python-flask: for moto_server'
+  'python-flask-cors: for moto_server'
+)
+checkdepends+=(python-yaml python-jose python-docker python-jsondiff python-aws-xray-sdk
+               python-cfn-lint python-sshpubkeys python-flask python-flask-cors)
+source=("https://files.pythonhosted.org/packages/source/m/moto/moto-${pkgver}.tar.gz"
+        sdist-no-pyc.diff)
+sha256sums=('21c838b63f44e24b9b5015a2cdcc5be7c1e1004e58a69fb7cac71383bce34535'
+            '4193bd88380f6ab8dac49be37d940993dee4e31351ffd60c8167b7c8e5ec3208')
+
+prepare() {
+  cd $_pkgname-$pkgver
+
+  patch -Np1 -i ../sdist-no-pyc.diff
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  # XXX: there are too many tests that depend on docker/podman, and there is no simple way
+  # other than listing one-by-one for exclusion. To make things worse, running docker/podman
+  # in systemd-nspawn containers appears impossible without special configurations. I gave
+  # it up and running podman _outside_ the container for testing.
+  # $ systemctl --user start podman.socket
+  # $ extra-x86_64-build -- -d "$XDG_RUNTIME_DIR/podman:/tmp/podman"
+  PODMAN_SOCK=/tmp/podman/podman.sock
+  if [ -S $PODMAN_SOCK ]; then
+    # XXX: a workaround to make tests work with podman
+    # Images are not pulled before usage since version 2.2.1 [1][2], and
+    # that is needed for podman [3]
+    # [1] https://github.com/spulec/moto/commit/338420c3b979b85501193d948ab442c1ebd0ae4a
+    # [2] https://github.com/spulec/moto/pull/4082
+    # [3] https://github.com/spulec/moto/pull/3702
+    podman-remote --url "unix:$PODMAN_SOCK" pull docker.io/library/busybox:latest
+    DOCKER_HOST="unix://$PODMAN_SOCK" TZ=UTC pytest tests
+  fi
+}
+
+package() {
+  cd $_pkgname-$pkgver
+
+  # use PYTHONHASHSEED=0 work around https://bugs.python.org/issue34722
+  PYTHONHASHSEED=0 python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}

Deleted: sdist-no-pyc.diff
===================================================================
--- sdist-no-pyc.diff	2021-09-04 01:57:14 UTC (rev 1010759)
+++ sdist-no-pyc.diff	2021-09-04 01:57:30 UTC (rev 1010760)
@@ -1,9 +0,0 @@
-diff --git a/MANIFEST.in b/MANIFEST.in
-index 51d1b223..30ca14c0 100644
---- a/MANIFEST.in
-+++ b/MANIFEST.in
-@@ -6,3 +6,4 @@ include moto/cognitoidp/resources/*.json
- include moto/dynamodb2/parsing/reserved_keywords.txt
- recursive-include moto/templates *
- recursive-include tests *
-+global-exclude *.py[cod]

Copied: python-moto/repos/community-any/sdist-no-pyc.diff (from rev 1010759, python-moto/trunk/sdist-no-pyc.diff)
===================================================================
--- sdist-no-pyc.diff	                        (rev 0)
+++ sdist-no-pyc.diff	2021-09-04 01:57:30 UTC (rev 1010760)
@@ -0,0 +1,9 @@
+diff --git a/MANIFEST.in b/MANIFEST.in
+index 51d1b223..30ca14c0 100644
+--- a/MANIFEST.in
++++ b/MANIFEST.in
+@@ -6,3 +6,4 @@ include moto/cognitoidp/resources/*.json
+ include moto/dynamodb2/parsing/reserved_keywords.txt
+ recursive-include moto/templates *
+ recursive-include tests *
++global-exclude *.py[cod]



More information about the arch-commits mailing list